Skip to main content

Documentation Index

Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Back to API List

Update an Agent Group

To update a particular agent group with the given streamId and agentGroupId.
MethodPUT
Endpointhttps://{{host}}/agentassist/api/v1/public/{{streamId}}/agent-groups/{{agentGroupId}}
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeSmartAssist Analytics

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
streamIdThe application ID.string, required
idThe Agent Group id.string, required

Sample Request

curl --location --request POST 'https://{{host}}/agentassist/api/v1/public/{{streamId}}/agent-groups/{{agentGroupId}}' \
      --header 'auth: {jwt-code}' \
      --header 'Content-Type: application/json' \
      --data-raw '
     {
      "name": "US West Coast team",
      "description": "US west coast team handles west side.",
      "managers": [
        {
            "userId": "u-cc128d1c-a846-5acb-b075-9fc49a73xxxx",
            "accessLevel": "full"
        }
      ]
     }'

Body Parameters

ParameterDescriptionType
nameName of the Agent Group up to 50 characters long.string, required
descriptionA brief description of the agent Group up to 50 characters long.string, required
managersAn Array of Objects with the following details.required
userIdThe User Id.string, required
accessLevelThe access level can be: [full, view].string, required

Sample Response

{
    "name": "US West Coast team",
    "description": "US west coast team handles west side.",
    "managers": [
        {
            "userId": "u-cc128d1c-a846-5acb-b075-9fc49a73xxxx",
            "accessLevel": "full"
        }
    ]
}